FAIDX(1)

NAME
faidx - Fetch sequences from FASTA

SYNOPSIS
faidx [-h] [-b BED] [-o OUT] [-i {bed,chromsizes,nucleotide,transposed}] [-c] [-r] [-n | -f] [-x] [-l] [-s DEFAULT_SEQ] [-d DELIMITER] [-g REGEX] [-m | -M] [--version] fasta [regions [regions ...]]

DESCRIPTION
Fetch sequences from FASTA. If no regions are specified, all entries in the input file are returned. Input FASTA file must be consistently line-wrapped, and line wrapping of output is based on input line lengths.

OPTIONS

  Positional arguments

fasta
    FASTA file

regions
    space separated regions of sequence to fetch e.g. chr1:1-1000

  Optional arguments

-h, --help
    show this help message and exit

-b BED, --bed BED
    bed file of regions

-o OUT, --out OUT
    output file name (default: stdout)

-i {bed,chromsizes,nucleotide,transposed}, --transform {bed,chromsizes,nucleotide,transposed}
    transform the requested regions into another format. default: None

-c, --complement
    complement the sequence. default: False

-r, --reverse
    reverse the sequence. default: False

-n, --no-names
    omit sequence names from output. default: False

-f, --full-names
    output full names including description. default: False

-x, --split-files
    write each region to a separate file (names are derived from regions)

-l, --lazy
    fill in --default-seq for missing ranges. default: False

-s DEFAULT_SEQ, --default-seq DEFAULT_SEQ
    default base for missing positions and masking. default: N

-d DELIMITER, --delimiter DELIMITER
    delimiter for splitting names to multiple values (duplicate names will be discarded). default: None

-g REGEX, --regex REGEX
    regular expression for filtering non-matching sequence names. default: .*

-m, --mask-with-default-seq
    mask the FASTA file using --default-seq default: False

-M, --mask-by-case
    mask the FASTA file by changing to lowercase. default: False

--version
    print pyfaidx version number

SEE ALSO
Please cite: Shirley MD, Ma Z, Pedersen BS, Wheelan SJ. (2015) Efficient "pythonic" access to FASTA files using pyfaidx. PeerJ PrePrints 3:e1196 https://dx.doi.org/10.7287/peerj.preprints.970v1